SACN::EXTENDED::DISCOVERY::Pdu Class Reference

The EXTENDED::DISCOVERY::Pdu class. More...

`#include <extended.h>`

Inheritance diagram for SACN::EXTENDED::DISCOVERY::Pdu:
[legend]

## Public Member Functions

| Pdu ()
| Pdu::Pdu. More...
void | iStream (ACN::PDU::Stream) override
| Pdu::iStream. More...
Public Member Functions inherited from ACN::PDU::Pdu
| Pdu (size_t vector_size)
| Pdu::Pdu. More...
| ~Pdu ()
| Pdu::~Pdu.
uint32_t | vector ()
| Pdu::vector. More...
pdu_header * | header ()
| Pdu::header. More...
pdu_data * | data ()
| Pdu::data. More...
Message< Pdu > | parent ()
| Pdu::parent. More...
Stream | stream ()
| Pdu::stream. More...
virtual size_t | streamSize () const override
| Pdu::streamSize. More...
virtual void | oStream (Stream) const override
| Pdu::oStream. More...
void | setVector (const uint32_t v)
| Pdu::setVector. More...
void | setHeader (pdu_header *h)
| Pdu::setHeader. More...
void | setData (pdu_data *d)
| Pdu::setData. More...
void | setParent (Message< Pdu > pdu)
| Pdu::setParent. More...
void | setInherit (Message< Pdu > pdu)
| Pdu::setInherit. More...
template<class T >
void | createHeader ()
| createHeader
template<class T >
void | createData ()
| createData
template<class T >
void | createDataBlock ()
| createDataBlock

## Additional Inherited Members

Protected Attributes inherited from ACN::PDU::Pdu
pdu_flags | flags_
| flags for length, vector, header and data
uint32_t | vector_ = 0
| vector of this PDU
size_t | vector_size_
| width (numbe of octets) of the vector
Message< Pdu > | parent_
| parent PDU
Message< Pdu > | inherit_
| PDU from which to inherit.
pdu_header * | header_ = nullptr
| header segment
pdu_data * | data_ = nullptr
| data segment
Stream | stream_
| buffer

## Detailed Description

The EXTENDED::DISCOVERY::Pdu class.

## Constructor & Destructor Documentation

## Pdu()

SACN::EXTENDED::DISCOVERY::Pdu::Pdu | ( |  | ) |

Pdu::Pdu.

Parameters

  stream |

## Member Function Documentation

## iStream()

void SACN::EXTENDED::DISCOVERY::Pdu::iStream | ( | ACN::PDU::Stream | stream | ) |

overridevirtual

Pdu::iStream.

Parameters

  stream |

Reimplemented from ACN::PDU::Pdu.

Here is the call graph for this function:

The documentation for this class was generated from the following files:

- /home/kevin/Code/viewer/lib/OpenLCP/protocols/sacn/extended.h
- /home/kevin/Code/viewer/lib/OpenLCP/protocols/sacn/extended.cpp